hi-file-parser-0.1.8.0: Parser for GHC's *.hi files

Safe Haskell | None
Language | Haskell2010

HiFileParser

# Documentation

data Interface Source #

Constructors

Interface |

Fields

- deps :: Dependencies
- usage :: List Usage

#### Instances

Instances details

NFData Interface Source # |
Instance details Defined in HiFileParser Methods rnf :: Interface -> () Source #
Generic Interface Source # |

Instance details

Defined in HiFileParser

Associated Types

type Rep Interface |

Instance details

Defined in HiFileParser

type Rep Interface = D1 ('MetaData "Interface" "HiFileParser" "hi-file-parser-0.1.8.0-6fh8hQ7xLJT5HCRYS8irRQ" 'False) (C1 ('MetaCons "Interface" 'PrefixI 'True) (S1 ('MetaSel ('Just "deps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Dependencies) :*: S1 ('MetaSel ('Just "usage") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (List Usage))))

Methods

from :: Interface -> Rep Interface x Source #

to :: Rep Interface x -> Interface Source #

Show Interface Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> Interface -> ShowS Source # show :: Interface -> String Source # showList :: [Interface] -> ShowS Source #
type Rep Interface Source # |

Instance details

Defined in HiFileParser

type Rep Interface = D1 ('MetaData "Interface" "HiFileParser" "hi-file-parser-0.1.8.0-6fh8hQ7xLJT5HCRYS8irRQ" 'False) (C1 ('MetaCons "Interface" 'PrefixI 'True) (S1 ('MetaSel ('Just "deps") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Dependencies) :*: S1 ('MetaSel ('Just "usage") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (List Usage))))

newtype List a Source #

Constructors

List |

Fields

- unList :: [a]

#### Instances

Instances details

NFData a => NFData (List a) Source # |
Instance details Defined in HiFileParser Methods rnf :: List a -> () Source #
Show a => Show (List a) Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> List a -> ShowS Source # show :: List a -> String Source # showList :: [List a] -> ShowS Source #

newtype Dictionary Source #

Constructors

Dictionary |

Fields

- unDictionary :: Vector ByteString

#### Instances

Instances details

NFData Dictionary Source # |
Instance details Defined in HiFileParser Methods rnf :: Dictionary -> () Source #
Show Dictionary Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> Dictionary -> ShowS Source # show :: Dictionary -> String Source # showList :: [Dictionary] -> ShowS Source #

newtype Module Source #

Constructors

Module |

Fields

- unModule :: ModuleName

#### Instances

Instances details

NFData Module Source # |
Instance details Defined in HiFileParser Methods rnf :: Module -> () Source #
Show Module Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> Module -> ShowS Source # show :: Module -> String Source # showList :: [Module] -> ShowS Source #

newtype Usage Source #

Constructors

Usage |

Fields

- unUsage :: FilePath

#### Instances

Instances details

NFData Usage Source # |
Instance details Defined in HiFileParser Methods rnf :: Usage -> () Source #
Show Usage Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> Usage -> ShowS Source # show :: Usage -> String Source # showList :: [Usage] -> ShowS Source #

data Dependencies Source #

Constructors

Dependencies |

Fields

- dmods :: List (ModuleName, IsBoot)
- dpkgs :: List (ModuleName, Bool)
- dorphs :: List Module
- dfinsts :: List Module
- dplugins :: List ModuleName

#### Instances

Instances details

NFData Dependencies Source # |
Instance details Defined in HiFileParser Methods rnf :: Dependencies -> () Source #
Generic Dependencies Source # |

Instance details

Defined in HiFileParser

Associated Types

type Rep Dependencies |
Instance details Defined in HiFileParser type Rep Dependencies

Methods

from :: Dependencies -> Rep Dependencies x Source #

to :: Rep Dependencies x -> Dependencies Source #

Show Dependencies Source # |
Instance details Defined in HiFileParser Methods showsPrec :: Int -> Dependencies -> ShowS Source # show :: Dependencies -> String Source # showList :: [Dependencies] -> ShowS Source #
type Rep Dependencies Source # |
Instance details Defined in HiFileParser type Rep Dependencies

getInterface :: Get Interface Source #

fromFile :: FilePath -> IO (Either String Interface) Source #